package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataSyncOut2Mapper;
import com.sa.ibiz.demo.demo.domain.DataSyncOut2;
import com.sa.ibiz.demo.demo.service.DataSyncOut2Service;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataSyncOut2SearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[DataSyncOut2] 服务对象接口实现
 */
@Service
public class DataSyncOut2ServiceImpl extends ServiceImplBase<DataSyncOut2Mapper, DataSyncOut2> implements DataSyncOut2Service{

    @Autowired
    private DataEntityService deService;

    @Resource
    private DataSyncOut2Mapper datasyncout2Mapper;


    @Override
    public boolean create(DataSyncOut2 et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataSyncOut2 et){
        this.beforeUpdate(et);
		this.datasyncout2Mapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataSyncOut2 et){
		return et.getDatasyncout2id();  
    }

    @Override
    public boolean getDraft(DataSyncOut2 et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DataSyncOut2> listDefault(DataSyncOut2SearchFilter filter) {
		return datasyncout2Mapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataSyncOut2> searchDefault(DataSyncOut2SearchFilter filter) {
		return datasyncout2Mapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return datasyncout2Mapper.selectRow(sql);
    }

 }